Subject: Re: [bug#38846] [PATCH 4/4] DRAFT doc: Add a cooption policy for commit access.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 02 Jan 2020 12:59:22 +0100

Hi Brett,

Brett Gilio <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> +Find three committers who would vouch for you, emailing a signed
>> +statement to @email{guix-maintainers@@gnu.org} (a private alias for the
>> +collective of maintainers).  You can view the list of committers at
>> +@url{https://savannah.gnu.org/project/memberlist.php?group=guix}.
>> +
>> +Committers are expected to have had some interactions with you as a
>> +contributor and to be able to judge whether you are sufficiently
>> +familiar with the project's practices.  It is @emph{not} a judgment on
>> +the quality of your work, so a refusal should rather be interpreted as
>> +``let's try again later''.
>
> Maybe it is superfluous, because maintainers have the final say
> anyways. But I think getting vouching approval by three committers and
> one maintainer would be a fine idea.

The way I see it, it’s more about notifying maintainers than it’s about
asking them for approval; they could refuse someone, but the idea is
they’d usually do what other people agreed on.

Cooptation may allow us to scale better: it’s easy for maintainers to
simply lose track of who has been working on what and who should be
given commit access.

Thanks for your feedback,
Ludo’.